### Method

# Camel StoreSearch rebuild_sync

since: 3.58

#### Declaration [src]

    gboolean
    camel_store_search_rebuild_sync (
      CamelStoreSearch* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Rebuilds content of the `self` with the current search expression. The function does nothing when no search expression is set. It can be called with no folder set, then it parses the expression and sets the values for the camel_store_search_get_match_threads_kind().

Available since: 3.58

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.